// SPDX-License-Identifier: AGPL-3.0-or-later
//! Code which enables sending messages between processes in the blocktree system.
#![feature(impl_trait_in_assoc_type)]

pub use btlib::Result;

mod common;
pub use common::{BlockAddr, CallMsg, SendMsg};

mod tls;

mod serialization;
pub use serialization::DeserCallback;

mod transmitter;
pub use transmitter::Transmitter;

mod receiver;
pub use receiver::{MsgCallback, MsgReceived, Receiver, Replier};
